import PackagePlugin

@main
struct SwiftGenPlugin: BuildToolPlugin {
  func createBuildCommands(
    context: PluginContext,
    target: Target
  ) throws -> [Command] {
    let config = target.directory.appending("swiftgen.yml")
    return [
      .prebuildCommand(
        displayName: "Running SwiftGen",
        executable:
          try context.tool(named: "swiftgen").path,
        arguments: [
          "config",
          "run",
          "--config", "\(config)"
        ],
        environment: [
          "PROJECT_DIR":
            "\(context.package.directory)",
          "TARGET_NAME": "\(target.name)",
          "DERIVED_SOURCES_DIR":
            "\(context.pluginWorkDirectory)",
        ],
        outputFilesDirectory:
          context.pluginWorkDirectory
      )
    ]
  }
}
