import Foundation
import RegexBuilder

func regexBuilder() {
    let statement = """
      Account           Email                   Joined GitHub
      ==========================================================
      @cockscomb        cockscomb@gmail.com     October 5, 2010
      @kouki_dan        dan.addr.skd@gmail.com  February 2, 2012
      @yutailang0119    yutailang0119@gmail.com October 31, 2014
      """

    let regex = Regex {
        Capture {
            "@"
            OneOrMore(.word)
        }
        OneOrMore(.whitespace)
        Capture {
            ZeroOrMore {
                OneOrMore(.word)
                "."
            }
            OneOrMore(.word)
            "@"
            OneOrMore(.word)
            OneOrMore {
                "."
                OneOrMore(.word)
            }
        }
        OneOrMore(.whitespace)
        Capture(.date(.long,
                      locale: Locale(identifier: "en_US"),
                      timeZone: .gmt))
    }

    for match in statement.matches(of: regex) {
        let (wholeMatch, account, email, joinedAt) = match.output
        print(wholeMatch) // Substring
        print(account)    // Regex<Substring>.RegexOutput
        print(email)      // Regex<Substring>.RegexOutput
        print(joinedAt)   // Date.ParseStrategy.RegexOutput
    }
}
