import SwiftUI

struct GridExample: View {
    @State private var title: String = ""
    @State private var url: String = ""

    var body: some View {
        Grid {
            GridRow {
                Text("Page Title:")
                    .gridColumnAlignment(.trailing)
                TextField("Example", text: $title)
            }
            GridRow {
                Text("URL:")
                    .gridColumnAlignment(.trailing)
                TextField("https://", text: $url)
                    .keyboardType(.URL)
                    .autocapitalization(.none)
                    .autocorrectionDisabled()
            }
        }
        .textFieldStyle(.roundedBorder)
        .padding()
    }
}

struct GridExample_Previews: PreviewProvider {
    static var previews: some View {
        GridExample()
    }
}
