import SwiftUI

struct GoldenRatioDetent: CustomPresentationDetent {
    static func height(in context: Context) -> CGFloat? {
        return context.maxDetentValue / 1.618
    }
}

struct PresentationDetentExample: View {
    @State private var isSheetPresented = false
    var body: some View {
        Button("Open") {
            isSheetPresented = true
        }
        .sheet(isPresented: $isSheetPresented) {
            Text("Hello, World")
                .presentationDetents([.custom(GoldenRatioDetent.self)])
        }

    }
}

struct PresentationDetentExample_Previews: PreviewProvider {
    static var previews: some View {
        PresentationDetentExample()
    }
}
