import SwiftUI

struct ContentView: View {
    let root = Directory(
        url: try! FileManager.default.url(
            for: .documentDirectory,
            in: .userDomainMask,
            appropriateFor: nil,
            create: true
        )
    )

    @State private var selectedFile: File?

    var body: some View {
        NavigationSplitView(sidebar: {
            NavigationStack {
                DirectoryView(root, selectedFile: $selectedFile)
                    .navigationDestination(for: Directory.self) { directory in
                        DirectoryView(directory, selectedFile: $selectedFile)
                    }
            }
        }, detail: {
            if let selectedFile {
                FileView(selectedFile)
                    .id(selectedFile)
            }
        })
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
