import SwiftUI

struct FileView: View {
    @StateObject private var model: FileModel

    init(_ file: File) {
        self._model = StateObject(wrappedValue: FileModel(file: file))
    }

    var body: some View {
        Text(model.name)
            .onAppear {
                try? model.load()
            }
            .navigationTitle(model.name)
    }
}

struct FileView_Previews: PreviewProvider {
    static var temporaryFile: File {
        let fileManager = FileManager.default
        let url = fileManager.temporaryDirectory.appending(path: UUID().uuidString + ".txt", directoryHint: .notDirectory)
        fileManager.createFile(atPath: url.path(), contents: nil)
        return File(url: url)
    }

    static var previews: some View {
        NavigationStack {
            FileView(temporaryFile)
        }
    }
}
