import Foundation
import Combine

struct File: Codable, Hashable {
    let url: URL
}

@MainActor
class FileModel: ObservableObject {
    private let fileManager = FileManager.default

    let file: File

    @Published private(set) var name: String = ""

    init(file: File) {
        self.file = file
    }

    func load() throws {
        name = fileManager.displayName(atPath: file.url.path)
    }
}
