import Foundation

enum FileSystemItem: Identifiable, Hashable {
    case directory(Directory)
    case file(File)

    var id: URL {
        switch self {
        case .directory(let directory):
            return directory.url
        case .file(let file):
            return file.url
        }
    }
}
