//
//  BuildSummary.swift
//  ChartsExample
//
//  Created by Yutaro Muta on 2022/09/24.
//

import Foundation

struct BuildSummary: Identifiable {
    var date: Date
    var average: Int
    var min: Int
    var max: Int
    var id: Date { date }
}

extension BuildSummary {
    static var data: [BuildSummary] {
        [
            .init(date: Date(timeIntervalSinceNow: -1 * 24 * 60 * 60), average: 270, min: 190, max: 370),
            .init(date: Date(timeIntervalSinceNow: -2 * 24 * 60 * 60), average: 240, min: 170, max: 330),
            .init(date: Date(timeIntervalSinceNow: -3 * 24 * 60 * 60), average: 210, min: 150, max: 330),
            .init(date: Date(timeIntervalSinceNow: -4 * 24 * 60 * 60), average: 120, min: 70, max: 240),
            .init(date: Date(timeIntervalSinceNow: -5 * 24 * 60 * 60), average: 120, min: 90, max: 175),
            .init(date: Date(timeIntervalSinceNow: -6 * 24 * 60 * 60), average: 75, min: 60, max: 100),
            .init(date: Date(timeIntervalSinceNow: -7 * 24 * 60 * 60), average: 90, min: 75, max: 130),
        ]
    }
}
