//
//  Job.swift
//  ChartsExample
//
//  Created by Yutaro Muta on 2022/09/18.
//

import Foundation

struct Job: Identifiable {
    var startAt: Date
    var build: Double
    var test: Double
    var id: Date { startAt }
}

extension Job {
    static var data: [Job] {
        [
            .init(startAt: Date(timeIntervalSinceNow: -1 * 60 * 60), build: 210, test: 120),
            .init(startAt: Date(timeIntervalSinceNow: -2 * 60 * 60), build: 120, test: 70),
            .init(startAt: Date(timeIntervalSinceNow: -3 * 60 * 60), build: 120, test: 90),
            .init(startAt: Date(timeIntervalSinceNow: -4 * 60 * 60), build: 60, test: 50),
            .init(startAt: Date(timeIntervalSinceNow: -5 * 60 * 60), build: 90, test: 30),
        ]
    }
}
